#
# spec file for package perl-PerlIO-gzip
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-PerlIO-gzip
Version:        0.20
Release:        1.30
%define cpan_name PerlIO-gzip
Summary:        Perl extension to provide a PerlIO layer to gzip/gunzip
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/PerlIO-gzip/
Source0:        https://cpan.metacpan.org/authors/id/N/NW/NWCLARK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  zlib-devel
# MANUAL END

%description
PerlIO::gzip provides a PerlIO layer that manipulates files in the format
used by the 'gzip' program. Compression and Decompression are implemented,
but not together. If you attempt to open a file for reading and writing the
open will fail.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Jun 22 2017 coolo@suse.com
- updated to 0.20
  see /usr/share/doc/packages/perl-PerlIO-gzip/Changes
  0.20  Wed Jun 21 21:29:59 CEST 2017
    Patch from Slaven to fix test skip count on Win32 (#76335)
    Really this should have been in 0.19.
* Fri Aug 28 2015 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-PerlIO-gzip/Changes
* Fri Aug 28 2015 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-PerlIO-gzip/Changes
* Fri Aug 28 2015 bwiedemann@suse.com
- update cpanspec.yml to BuildRequire zlib-devel
* Thu Aug 27 2015 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-PerlIO-gzip/Changes
* Thu Aug 27 2015 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-PerlIO-gzip/Changes
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jun 20 2006 jfunk@funktronics.ca
- Build under buildservice
* Fri Nov 11 2005 jfunk@funktronics.ca
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Update
- Build for SL92
* Tue May 11 2004 jfunk@funktronics.ca
- Build for SL91
* Mon Dec  1 2003 jfunk@funktronics.ca
- Initial release
